<template>
  <div class="site-wrapper">
    <vue-progress-bar></vue-progress-bar>
    <top/>
    <router-view :key="$route.fullPath"></router-view>
    <bottom/>
  </div>
</template>

<script>
  import Top from './components/Top';
  import Bottom from './components/Bottom';

  export default {
    name: 'app',
    components: {
      top: Top,
      bottom: Bottom,
    },
  };
</script>

<style lang="scss">
  // Normalizes default css rules. See: https://github.com/necolas/normalize.css
  @import './styles/utils/normalize.css';

  * {
    box-sizing: border-box;
  }

  .site-wrapper {
    border: 1px solid #83b4c2;
    margin: auto;
    max-width: 984px;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  }
</style>
